Discovery Engine API

Discovery Engine API。

服务:discoveryengine.googleapis.com

如要调用此服务,我们建议您使用 Google 提供的客户端库。如果您的应用需要使用您自己的库来调用此服务,则在发出 API 请求时应使用以下信息。

发现文档

发现文档是用于说明和使用 REST API 的机器可读规范。它用于构建客户端库、IDE 插件以及与 Google API 交互的其他工具。一项服务可能会提供多个发现文档。此服务提供了以下发现文档:

服务端点

服务端点是一个基础网址,指定了 API 服务的网络地址。一项服务可能有多个服务端点。此服务具有以下服务端点,下面的所有 URI 都与此服务端点相关:

  • https://discoveryengine.googleapis.com

区域服务端点

区域服务端点是一个基础网址,指定了单个区域中 API 服务的网络地址。可在多个区域中使用的服务可能具有多个区域端点。选择一个位置,查看相应位置的此服务区域性服务端点。


  • https://discoveryengine.googleapis.com
  • REST 资源:v1beta.billingAccounts.billingAccountLicenseConfigs

    方法
    distributeLicenseConfig POST /v1beta/{billingAccountLicenseConfig=billingAccounts/*/billingAccountLicenseConfigs/*}:distributeLicenseConfig
    将结算账号级级的 LicenseConfig 分配到项目级。
    retractLicenseConfig POST /v1beta/{billingAccountLicenseConfig=billingAccounts/*/billingAccountLicenseConfigs/*}:retractLicenseConfig
    此方法从结算账号端调用,用于将 LicenseConfig 从指定项目撤回到结算账号。

    REST 资源:v1beta.projects

    方法
    provision POST /v1beta/{name=projects/*}:provision
    预配项目资源。

    REST 资源:v1beta.projects.locations

    方法
    getAclConfig GET /v1beta/{name=projects/*/locations/*/aclConfig}
    获取 AclConfig。
    getCmekConfig GET /v1beta/{name=projects/*/locations/*/cmekConfig}
    获取 CmekConfig。
    obtainCrawlRate POST /v1beta/{location=projects/*/locations/*}:obtainCrawlRate
    获取自然抓取速度或专用抓取速度的时序数据,以供监控。
    provision POST /v1beta/{name=projects/*/locations/*}:provision
    预配项目资源。
    removeDedicatedCrawlRate POST /v1beta/{location=projects/*/locations/*}:removeDedicatedCrawlRate
    移除 crawl_rate_scope 的专用抓取速度。
    setDedicatedCrawlRate POST /v1beta/{location=projects/*/locations/*}:setDedicatedCrawlRate
    为某个 crawl_rate_scope 设置专用抓取速度。
    updateAclConfig PATCH /v1beta/{aclConfig.name=projects/*/locations/*/aclConfig}
    用于客户项目某一位置的默认 ACL 配置。
    updateCmekConfig PATCH /v1beta/{config.name=projects/*/locations/*/cmekConfig}
    预配 CMEK 密钥以用于客户项目某一位置。

    REST 资源:v1beta.projects.locations.cmekConfigs

    方法
    delete DELETE /v1beta/{name=projects/*/locations/*/cmekConfigs/*}
    取消预配 CmekConfig。
    get GET /v1beta/{name=projects/*/locations/*/cmekConfigs/*}
    获取 CmekConfig。
    list GET /v1beta/{parent=projects/*/locations/*}/cmekConfigs
    列出项目中的所有 CmekConfig。
    patch PATCH /v1beta/{config.name=projects/*/locations/*/cmekConfigs/*}
    预配 CMEK 密钥以用于客户项目某一位置。

    REST 资源:v1beta.projects.locations.collections.dataConnector.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataConnector/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/collections/*/dataConnector}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.collections.dataStores

    方法
    completeQuery GET /v1beta/{dataStore=projects/*/locations/*/collections/*/dataStores/*}:completeQuery
    使用建议的关键字补全指定的用户输入。
    create POST /v1beta/{parent=projects/*/locations/*/collections/*}/dataStores
    创建 DataStore。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*}
    删除 DataStore。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*}
    获取 DataStore。
    getIamPolicy GET /v1beta/{resource=projects/*/locations/*/collections/*/dataStores/*}:getIamPolicy
    获取 DataStore 的 IAM 访问权限控制政策。
    getSiteSearchEngine GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}
    获取 SiteSearchEngine。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*}/dataStores
    列出与项目关联的所有 DataStore。
    patch PATCH /v1beta/{dataStore.name=projects/*/locations/*/collections/*/dataStores/*}
    更新 DataStore
    setIamPolicy POST /v1beta/{resource=projects/*/locations/*/collections/*/dataStores/*}:setIamPolicy
    为 DataStore 设置 IAM 访问权限控制政策。
    trainCustomModel POST /v1beta/{dataStore=projects/*/locations/*/collections/*/dataStores/*}:trainCustomModel
    训练自定义模型。

    REST 资源:v1beta.projects.locations.collections.dataStores.branches

    方法
    batchGetDocumentsMetadata GET /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*/branches/*}/batchGetDocumentsMetadata
    获取 Document 的索引新鲜度元数据。

    REST 资源:v1beta.projects.locations.collections.dataStores.branches.documents

    方法
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*/branches/*}/documents
    创建 Document。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*/documents/*}
    删除 Document。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*/documents/*}
    获取 Document。
    import POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*/branches/*}/documents:import
    批量导入多个 Document。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*/branches/*}/documents
    获取 Document 的列表。
    patch PATCH /v1beta/{document.name=projects/*/locations/*/collections/*/dataStores/*/branches/*/documents/*}
    更新 Document。
    purge POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*/branches/*}/documents:purge
    永久删除分支中的所有选定 Document。

    REST 资源:v1beta.projects.locations.collections.dataStores.branches.operations

    方法
    cancel POST /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*/operations/*}:cancel
    对长时间运行的操作启动异步取消。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.collections.dataStores.completionConfig

    方法
    completeQuery POST /v1beta/{completionConfig=projects/*/locations/*/collections/*/dataStores/*/completionConfig}:completeQuery
    使用高级建议的关键字补全用户输入。

    REST 资源:v1beta.projects.locations.collections.dataStores.completionSuggestions

    方法
    import POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/completionSuggestions:import
    导入数据存储区的 CompletionSuggestion。
    purge POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/completionSuggestions:purge
    永久删除数据存储区的所有 CompletionSuggestion。

    REST 资源:v1beta.projects.locations.collections.dataStores.controls

    方法
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/controls
    创建控件。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/controls/*}
    删除控件。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/controls/*}
    获取控件。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/controls
    按父级 DataStore 列出所有控件。
    patch PATCH /v1beta/{control.name=projects/*/locations/*/collections/*/dataStores/*/controls/*}
    更新控件。

    REST 资源:v1beta.projects.locations.collections.dataStores.conversations

    方法
    converse POST /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/conversations/*}:converse
    进行一次对话。
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/conversations
    创建对话。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/conversations/*}
    删除对话。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/conversations/*}
    获取对话。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/conversations
    列出其父级 DataStore 下的所有对话。
    patch PATCH /v1beta/{conversation.name=projects/*/locations/*/collections/*/dataStores/*/conversations/*}
    更新对话。

    REST 资源:v1beta.projects.locations.collections.dataStores.customModels

    方法
    list GET /v1beta/{dataStore=projects/*/locations/*/collections/*/dataStores/*}/customModels
    获取所有自定义模型的列表。

    REST 资源:v1beta.projects.locations.collections.dataStores.models.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/models/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/models/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.collections.dataStores.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.collections.dataStores.schemas

    方法
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/schemas
    创建 Schema。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/schemas/*}
    删除 Schema。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/schemas/*}
    获取 Schema。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/schemas
    获取 Schema 的列表。
    patch PATCH /v1beta/{schema.name=projects/*/locations/*/collections/*/dataStores/*/schemas/*}
    更新 Schema。

    REST 资源:v1beta.projects.locations.collections.dataStores.schemas.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/schemas/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/schemas/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.collections.dataStores.servingConfigs

    方法
    answer POST /v1beta/{servingConfig=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}:answer
    回答查询方法。
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/servingConfigs
    创建一个 ServingConfig。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}
    删除 ServingConfig。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}
    获取 ServingConfig。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/servingConfigs
    列出与相应数据存储区关联的所有 ServingConfig。
    patch PATCH /v1beta/{servingConfig.name=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}
    更新 ServingConfig。
    recommend POST /v1beta/{servingConfig=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}:recommend
    进行推荐,这需要一个上下文用户事件。
    search POST /v1beta/{servingConfig=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}:search
    执行搜索。
    searchLite POST /v1beta/{servingConfig=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}:searchLite
    执行搜索。
    streamAnswer POST /v1beta/{servingConfig=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}:streamAnswer
    回答查询方法(流式传输)。

    REST 资源:v1beta.projects.locations.collections.dataStores.sessions

    方法
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/sessions
    创建会话。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/sessions/*}
    删除会话。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/sessions/*}
    获取会话。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/sessions
    列出其父级 DataStore 下的所有会话。
    patch PATCH /v1beta/{session.name=projects/*/locations/*/collections/*/dataStores/*/sessions/*}
    更新会话。

    REST 资源:v1beta.projects.locations.collections.dataStores.sessions.answers

    方法
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/sessions/*/answers/*}
    获取一个回答。

    REST 资源:v1beta.projects.locations.collections.dataStores.siteSearchEngine

    方法
    batchVerifyTargetSites POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:batchVerifyTargetSites
    验证目标网站的所有权和有效性。
    disableAdvancedSiteSearch POST /v1beta/{siteSearchEngine=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:disableAdvancedSiteSearch
    从高级网站搜索降级为基本网站搜索。
    enableAdvancedSiteSearch POST /v1beta/{siteSearchEngine=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:enableAdvancedSiteSearch
    从基本网站搜索升级为高级网站搜索。
    fetchDomainVerificationStatus GET /v1beta/{siteSearchEngine=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:fetchDomainVerificationStatus
    返回包含目标网站及其域名验证状态的列表。
    recrawlUris POST /v1beta/{siteSearchEngine=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:recrawlUris
    请求对 URI 列表进行按需重新抓取。

    REST 资源:v1beta.projects.locations.collections.dataStores.siteSearchEngine.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.collections.dataStores.siteSearchEngine.sitemaps

    方法
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}/sitemaps
    创建 Sitemap。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/sitemaps/*}
    删除 Sitemap。
    fetch GET /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}/sitemaps:fetch
    提取 DataStore 中的 Sitemap。

    REST 资源:v1beta.projects.locations.collections.dataStores.siteSearchEngine.targetSites

    方法
    batchCreate POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}/targetSites:batchCreate
    批量创建 TargetSite。
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}/targetSites
    创建 TargetSite。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/targetSites/*}
    删除 TargetSite。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/targetSites/*}
    获取 TargetSite。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}/targetSites
    获取 TargetSite 的列表。
    patch PATCH /v1beta/{targetSite.name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/targetSites/*}
    更新 TargetSite。

    REST 资源:v1beta.projects.locations.collections.dataStores.siteSearchEngine.targetSites.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/targetSites/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/targetSites}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.collections.dataStores.suggestionDenyListEntries

    方法
    import POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/suggestionDenyListEntries:import
    导入数据存储区的所有 SuggestionDenyListEntry。
    purge POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/suggestionDenyListEntries:purge
    永久删除数据存储区的所有 SuggestionDenyListEntry。

    REST 资源:v1beta.projects.locations.collections.dataStores.userEvents

    方法
    collect GET /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/userEvents:collect
    从浏览器写入单个用户事件。
    import POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/userEvents:import
    批量导入用户事件。
    purge POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/userEvents:purge
    永久删除提供的过滤条件所指定的所有用户事件。
    write POST /v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/userEvents:write
    写入单个用户事件。

    REST 资源:v1beta.projects.locations.collections.engines

    方法
    create POST /v1beta/{parent=projects/*/locations/*/collections/*}/engines
    创建 Engine。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/engines/*}
    删除 Engine。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/engines/*}
    获取一个 Engine。
    getIamPolicy GET /v1beta/{resource=projects/*/locations/*/collections/*/engines/*}:getIamPolicy
    获取 Engine 的 IAM 访问权限控制政策。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*}/engines
    列出与项目关联的所有 Engine。
    patch PATCH /v1beta/{engine.name=projects/*/locations/*/collections/*/engines/*}
    更新 Engine
    pause POST /v1beta/{name=projects/*/locations/*/collections/*/engines/*}:pause
    暂停现有 Engine 的训练。
    resume POST /v1beta/{name=projects/*/locations/*/collections/*/engines/*}:resume
    恢复现有 Engine 的训练。
    setIamPolicy POST /v1beta/{resource=projects/*/locations/*/collections/*/engines/*}:setIamPolicy
    为 Engine 设置 IAM 访问权限控制政策。
    tune POST /v1beta/{name=projects/*/locations/*/collections/*/engines/*}:tune
    对现有 Engine 进行调优。

    REST 资源:v1beta.projects.locations.collections.engines.agentTrajectories

    方法
    write POST /v1beta/{parent=projects/*/locations/*/collections/*/engines/*}/agentTrajectories:write
    写入单个代理回合的执行轨迹,以进行内部可观测性日志记录。

    REST 资源:v1beta.projects.locations.collections.engines.assistants

    方法
    assist POST /v1beta/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:assist
    协助用户进行查询。
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/engines/*}/assistants
    创建 Assistant。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}
    删除 Assistant。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}
    获取一个 Assistant。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*/engines/*}/assistants
    列出某个 Engine 下的所有 Assistant。
    patch PATCH /v1beta/{assistant.name=projects/*/locations/*/collections/*/engines/*/assistants/*}
    更新 Assistant
    streamAssist POST /v1beta/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:streamAssist
    以流式传输的方式协助用户进行查询。

    REST 资源:v1beta.projects.locations.collections.engines.assistants.agents.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*/operations/*}
    获取长时间运行的操作的最新状态。

    REST 资源:v1beta.projects.locations.collections.engines.completionConfig

    方法
    completeQuery POST /v1beta/{completionConfig=projects/*/locations/*/collections/*/engines/*/completionConfig}:completeQuery
    使用高级建议的关键字补全用户输入。
    removeSuggestion POST /v1beta/{completionConfig=projects/*/locations/*/collections/*/engines/*/completionConfig}:removeSuggestion
    移除某个用户在引擎中的搜索记录建议。

    REST 资源:v1beta.projects.locations.collections.engines.controls

    方法
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/engines/*}/controls
    创建控件。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/engines/*/controls/*}
    删除控件。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/engines/*/controls/*}
    获取控件。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*/engines/*}/controls
    按父级 DataStore 列出所有控件。
    patch PATCH /v1beta/{control.name=projects/*/locations/*/collections/*/engines/*/controls/*}
    更新控件。

    REST 资源:v1beta.projects.locations.collections.engines.conversations

    方法
    converse POST /v1beta/{name=projects/*/locations/*/collections/*/engines/*/conversations/*}:converse
    进行一次对话。
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/engines/*}/conversations
    创建对话。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/engines/*/conversations/*}
    删除对话。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/engines/*/conversations/*}
    获取对话。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*/engines/*}/conversations
    列出其父级 DataStore 下的所有对话。
    patch PATCH /v1beta/{conversation.name=projects/*/locations/*/collections/*/engines/*/conversations/*}
    更新对话。

    REST 资源:v1beta.projects.locations.collections.engines.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/collections/*/engines/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/collections/*/engines/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.collections.engines.servingConfigs

    方法
    answer POST /v1beta/{servingConfig=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}:answer
    回答查询方法。
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/engines/*}/servingConfigs
    创建一个 ServingConfig。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}
    删除 ServingConfig。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}
    获取 ServingConfig。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*/engines/*}/servingConfigs
    列出与相应数据存储区关联的所有 ServingConfig。
    patch PATCH /v1beta/{servingConfig.name=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}
    更新 ServingConfig。
    recommend POST /v1beta/{servingConfig=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}:recommend
    进行推荐,这需要一个上下文用户事件。
    search POST /v1beta/{servingConfig=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}:search
    执行搜索。
    searchLite POST /v1beta/{servingConfig=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}:searchLite
    执行搜索。
    streamAnswer POST /v1beta/{servingConfig=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}:streamAnswer
    回答查询方法(流式传输)。

    REST 资源:v1beta.projects.locations.collections.engines.sessions

    方法
    addContextFile POST /v1beta/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}:addContextFile
    上传一个上下文文件,用作会话中辅助调用的来源。
    create POST /v1beta/{parent=projects/*/locations/*/collections/*/engines/*}/sessions
    创建会话。
    delete DELETE /v1beta/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}
    删除会话。
    get GET /v1beta/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}
    获取会话。
    list GET /v1beta/{parent=projects/*/locations/*/collections/*/engines/*}/sessions
    列出其父级 DataStore 下的所有会话。
    patch PATCH /v1beta/{session.name=projects/*/locations/*/collections/*/engines/*/sessions/*}
    更新会话。

    REST 资源:v1beta.projects.locations.collections.engines.sessions.answers

    方法
    get GET /v1beta/{name=projects/*/locations/*/collections/*/engines/*/sessions/*/answers/*}
    获取一个回答。

    REST 资源:v1beta.projects.locations.collections.engines.sessions.assistAnswers

    方法
    get GET /v1beta/{name=projects/*/locations/*/collections/*/engines/*/sessions/*/assistAnswers/*}
    获取一个 AssistAnswer。

    REST 资源:v1beta.projects.locations.collections.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/collections/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/collections/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.dataStores

    方法
    completeQuery GET /v1beta/{dataStore=projects/*/locations/*/dataStores/*}:completeQuery
    使用建议的关键字补全指定的用户输入。
    create POST /v1beta/{parent=projects/*/locations/*}/dataStores
    创建 DataStore。
    delete DELETE /v1beta/{name=projects/*/locations/*/dataStores/*}
    删除 DataStore。
    get GET /v1beta/{name=projects/*/locations/*/dataStores/*}
    获取 DataStore。
    getIamPolicy GET /v1beta/{resource=projects/*/locations/*/dataStores/*}:getIamPolicy
    获取 DataStore 的 IAM 访问权限控制政策。
    getSiteSearchEngine GET /v1beta/{name=projects/*/locations/*/dataStores/*/siteSearchEngine}
    获取 SiteSearchEngine。
    list GET /v1beta/{parent=projects/*/locations/*}/dataStores
    列出与项目关联的所有 DataStore。
    patch PATCH /v1beta/{dataStore.name=projects/*/locations/*/dataStores/*}
    更新 DataStore
    setIamPolicy POST /v1beta/{resource=projects/*/locations/*/dataStores/*}:setIamPolicy
    为 DataStore 设置 IAM 访问权限控制政策。

    REST 资源:v1beta.projects.locations.dataStores.branches

    方法
    batchGetDocumentsMetadata GET /v1beta/{parent=projects/*/locations/*/dataStores/*/branches/*}/batchGetDocumentsMetadata
    获取 Document 的索引新鲜度元数据。

    REST 资源:v1beta.projects.locations.dataStores.branches.documents

    方法
    create POST /v1beta/{parent=projects/*/locations/*/dataStores/*/branches/*}/documents
    创建 Document。
    delete DELETE /v1beta/{name=projects/*/locations/*/dataStores/*/branches/*/documents/*}
    删除 Document。
    get GET /v1beta/{name=projects/*/locations/*/dataStores/*/branches/*/documents/*}
    获取 Document。
    import POST /v1beta/{parent=projects/*/locations/*/dataStores/*/branches/*}/documents:import
    批量导入多个 Document。
    list GET /v1beta/{parent=projects/*/locations/*/dataStores/*/branches/*}/documents
    获取 Document 的列表。
    patch PATCH /v1beta/{document.name=projects/*/locations/*/dataStores/*/branches/*/documents/*}
    更新 Document。
    purge POST /v1beta/{parent=projects/*/locations/*/dataStores/*/branches/*}/documents:purge
    永久删除分支中的所有选定 Document。

    REST 资源:v1beta.projects.locations.dataStores.branches.operations

    方法
    cancel POST /v1beta/{name=projects/*/locations/*/dataStores/*/branches/*/operations/*}:cancel
    对长时间运行的操作启动异步取消。
    get GET /v1beta/{name=projects/*/locations/*/dataStores/*/branches/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/dataStores/*/branches/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.dataStores.completionConfig

    方法
    completeQuery POST /v1beta/{completionConfig=projects/*/locations/*/dataStores/*/completionConfig}:completeQuery
    使用高级建议的关键字补全用户输入。

    REST 资源:v1beta.projects.locations.dataStores.completionSuggestions

    方法
    import POST /v1beta/{parent=projects/*/locations/*/dataStores/*}/completionSuggestions:import
    导入数据存储区的 CompletionSuggestion。
    purge POST /v1beta/{parent=projects/*/locations/*/dataStores/*}/completionSuggestions:purge
    永久删除数据存储区的所有 CompletionSuggestion。

    REST 资源:v1beta.projects.locations.dataStores.controls

    方法
    create POST /v1beta/{parent=projects/*/locations/*/dataStores/*}/controls
    创建控件。
    delete DELETE /v1beta/{name=projects/*/locations/*/dataStores/*/controls/*}
    删除控件。
    get GET /v1beta/{name=projects/*/locations/*/dataStores/*/controls/*}
    获取控件。
    list GET /v1beta/{parent=projects/*/locations/*/dataStores/*}/controls
    按父级 DataStore 列出所有控件。
    patch PATCH /v1beta/{control.name=projects/*/locations/*/dataStores/*/controls/*}
    更新控件。

    REST 资源:v1beta.projects.locations.dataStores.conversations

    方法
    converse POST /v1beta/{name=projects/*/locations/*/dataStores/*/conversations/*}:converse
    进行一次对话。
    create POST /v1beta/{parent=projects/*/locations/*/dataStores/*}/conversations
    创建对话。
    delete DELETE /v1beta/{name=projects/*/locations/*/dataStores/*/conversations/*}
    删除对话。
    get GET /v1beta/{name=projects/*/locations/*/dataStores/*/conversations/*}
    获取对话。
    list GET /v1beta/{parent=projects/*/locations/*/dataStores/*}/conversations
    列出其父级 DataStore 下的所有对话。
    patch PATCH /v1beta/{conversation.name=projects/*/locations/*/dataStores/*/conversations/*}
    更新对话。

    REST 资源:v1beta.projects.locations.dataStores.models.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/dataStores/*/models/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/dataStores/*/models/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.dataStores.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/dataStores/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/dataStores/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.dataStores.schemas

    方法
    create POST /v1beta/{parent=projects/*/locations/*/dataStores/*}/schemas
    创建 Schema。
    delete DELETE /v1beta/{name=projects/*/locations/*/dataStores/*/schemas/*}
    删除 Schema。
    get GET /v1beta/{name=projects/*/locations/*/dataStores/*/schemas/*}
    获取 Schema。
    list GET /v1beta/{parent=projects/*/locations/*/dataStores/*}/schemas
    获取 Schema 的列表。
    patch PATCH /v1beta/{schema.name=projects/*/locations/*/dataStores/*/schemas/*}
    更新 Schema。

    REST 资源:v1beta.projects.locations.dataStores.servingConfigs

    方法
    answer POST /v1beta/{servingConfig=projects/*/locations/*/dataStores/*/servingConfigs/*}:answer
    回答查询方法。
    create POST /v1beta/{parent=projects/*/locations/*/dataStores/*}/servingConfigs
    创建一个 ServingConfig。
    delete DELETE /v1beta/{name=projects/*/locations/*/dataStores/*/servingConfigs/*}
    删除 ServingConfig。
    get GET /v1beta/{name=projects/*/locations/*/dataStores/*/servingConfigs/*}
    获取 ServingConfig。
    list GET /v1beta/{parent=projects/*/locations/*/dataStores/*}/servingConfigs
    列出与相应数据存储区关联的所有 ServingConfig。
    patch PATCH /v1beta/{servingConfig.name=projects/*/locations/*/dataStores/*/servingConfigs/*}
    更新 ServingConfig。
    recommend POST /v1beta/{servingConfig=projects/*/locations/*/dataStores/*/servingConfigs/*}:recommend
    进行推荐,这需要一个上下文用户事件。
    search POST /v1beta/{servingConfig=projects/*/locations/*/dataStores/*/servingConfigs/*}:search
    执行搜索。
    searchLite POST /v1beta/{servingConfig=projects/*/locations/*/dataStores/*/servingConfigs/*}:searchLite
    执行搜索。
    streamAnswer POST /v1beta/{servingConfig=projects/*/locations/*/dataStores/*/servingConfigs/*}:streamAnswer
    回答查询方法(流式传输)。

    REST 资源:v1beta.projects.locations.dataStores.sessions

    方法
    create POST /v1beta/{parent=projects/*/locations/*/dataStores/*}/sessions
    创建会话。
    delete DELETE /v1beta/{name=projects/*/locations/*/dataStores/*/sessions/*}
    删除会话。
    get GET /v1beta/{name=projects/*/locations/*/dataStores/*/sessions/*}
    获取会话。
    list GET /v1beta/{parent=projects/*/locations/*/dataStores/*}/sessions
    列出其父级 DataStore 下的所有会话。
    patch PATCH /v1beta/{session.name=projects/*/locations/*/dataStores/*/sessions/*}
    更新会话。

    REST 资源:v1beta.projects.locations.dataStores.sessions.answers

    方法
    get GET /v1beta/{name=projects/*/locations/*/dataStores/*/sessions/*/answers/*}
    获取一个回答。

    REST 资源:v1beta.projects.locations.dataStores.siteSearchEngine

    方法
    disableAdvancedSiteSearch POST /v1beta/{siteSearchEngine=projects/*/locations/*/dataStores/*/siteSearchEngine}:disableAdvancedSiteSearch
    从高级网站搜索降级为基本网站搜索。
    enableAdvancedSiteSearch POST /v1beta/{siteSearchEngine=projects/*/locations/*/dataStores/*/siteSearchEngine}:enableAdvancedSiteSearch
    从基本网站搜索升级为高级网站搜索。
    recrawlUris POST /v1beta/{siteSearchEngine=projects/*/locations/*/dataStores/*/siteSearchEngine}:recrawlUris
    请求对 URI 列表进行按需重新抓取。

    REST 资源:v1beta.projects.locations.dataStores.siteSearchEngine.sitemaps

    方法
    create POST /v1beta/{parent=projects/*/locations/*/dataStores/*/siteSearchEngine}/sitemaps
    创建 Sitemap。
    delete DELETE /v1beta/{name=projects/*/locations/*/dataStores/*/siteSearchEngine/sitemaps/*}
    删除 Sitemap。
    fetch GET /v1beta/{parent=projects/*/locations/*/dataStores/*/siteSearchEngine}/sitemaps:fetch
    提取 DataStore 中的 Sitemap。

    REST 资源:v1beta.projects.locations.dataStores.siteSearchEngine.targetSites

    方法
    batchCreate POST /v1beta/{parent=projects/*/locations/*/dataStores/*/siteSearchEngine}/targetSites:batchCreate
    批量创建 TargetSite。
    create POST /v1beta/{parent=projects/*/locations/*/dataStores/*/siteSearchEngine}/targetSites
    创建 TargetSite。
    delete DELETE /v1beta/{name=projects/*/locations/*/dataStores/*/siteSearchEngine/targetSites/*}
    删除 TargetSite。
    get GET /v1beta/{name=projects/*/locations/*/dataStores/*/siteSearchEngine/targetSites/*}
    获取 TargetSite。
    list GET /v1beta/{parent=projects/*/locations/*/dataStores/*/siteSearchEngine}/targetSites
    获取 TargetSite 的列表。
    patch PATCH /v1beta/{targetSite.name=projects/*/locations/*/dataStores/*/siteSearchEngine/targetSites/*}
    更新 TargetSite。

    REST 资源:v1beta.projects.locations.dataStores.suggestionDenyListEntries

    方法
    import POST /v1beta/{parent=projects/*/locations/*/dataStores/*}/suggestionDenyListEntries:import
    导入数据存储区的所有 SuggestionDenyListEntry。
    purge POST /v1beta/{parent=projects/*/locations/*/dataStores/**}/suggestionDenyListEntries:purge
    永久删除数据存储区的所有 SuggestionDenyListEntry。

    REST 资源:v1beta.projects.locations.dataStores.userEvents

    方法
    collect GET /v1beta/{parent=projects/*/locations/*/dataStores/*}/userEvents:collect
    从浏览器写入单个用户事件。
    import POST /v1beta/{parent=projects/*/locations/*/dataStores/*}/userEvents:import
    批量导入用户事件。
    purge POST /v1beta/{parent=projects/*/locations/*/dataStores/*}/userEvents:purge
    永久删除提供的过滤条件所指定的所有用户事件。
    write POST /v1beta/{parent=projects/*/locations/*/dataStores/*}/userEvents:write
    写入单个用户事件。

    REST 资源:v1beta.projects.locations.evaluations

    方法
    create POST /v1beta/{parent=projects/*/locations/*}/evaluations
    创建 Evaluation。
    get GET /v1beta/{name=projects/*/locations/*/evaluations/*}
    获取 Evaluation。
    list GET /v1beta/{parent=projects/*/locations/*}/evaluations
    获取 Evaluation 的列表。
    listResults GET /v1beta/{evaluation=projects/*/locations/*/evaluations/*}:listResults
    获取给定 Evaluation 的结果列表。

    REST 资源:v1beta.projects.locations.evaluations.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/evaluations/*/operations/*}
    获取长时间运行的操作的最新状态。

    REST 资源:v1beta.projects.locations.groundingConfigs

    方法
    check POST /v1beta/{groundingConfig=projects/*/locations/*/groundingConfigs/*}:check
    执行接地检查。

    REST 资源:v1beta.projects.locations.identityMappingStores

    方法
    create POST /v1beta/{parent=projects/*/locations/*}/identityMappingStores
    创建新的身份映射存储区。
    delete DELETE /v1beta/{name=projects/*/locations/*/identityMappingStores/*}
    删除身份映射存储区。
    get GET /v1beta/{name=projects/*/locations/*/identityMappingStores/*}
    获取身份映射存储区。
    importIdentityMappings POST /v1beta/{identityMappingStore=projects/*/locations/*/identityMappingStores/*}:importIdentityMappings
    将身份映射条目列表导入到身份映射存储区。
    list GET /v1beta/{parent=projects/*/locations/*}/identityMappingStores
    列出所有身份映射存储区。
    listIdentityMappings GET /v1beta/{identityMappingStore=projects/*/locations/*/identityMappingStores/*}:listIdentityMappings
    列出一个身份映射存储区中的身份映射。
    purgeIdentityMappings POST /v1beta/{identityMappingStore=projects/*/locations/*/identityMappingStores/*}:purgeIdentityMappings
    从身份映射存储区中完全清除指定或所有的身份映射条目。

    REST 资源:v1beta.projects.locations.identityMappingStores.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/identityMappingStores/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*/identityMappingStores/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.licenseConfigs

    方法
    create POST /v1beta/{parent=projects/*/locations/*}/licenseConfigs
    创建 LicenseConfig 此方法仅应用于创建 NotebookLm 许可或 Gemini Enterprise 免费试用许可。
    get GET /v1beta/{name=projects/*/locations/*/licenseConfigs/*}
    获取 LicenseConfig。
    list GET /v1beta/{parent=projects/*/locations/*}/licenseConfigs
    列出与项目关联的所有 LicenseConfig。
    patch PATCH /v1beta/{licenseConfig.name=projects/*/locations/*/licenseConfigs/*}
    更新 LicenseConfig

    REST 资源:v1beta.projects.locations.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*/locations/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1beta.projects.locations.podcasts.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/podcasts/*/operations/*}
    获取长时间运行的操作的最新状态。

    REST 资源:v1beta.projects.locations.rankingConfigs

    方法
    rank POST /v1beta/{rankingConfig=projects/*/locations/*/rankingConfigs/*}:rank
    根据给定的输入查询,对文本记录列表进行排名。

    REST 资源:v1beta.projects.locations.sampleQuerySets

    方法
    create POST /v1beta/{parent=projects/*/locations/*}/sampleQuerySets
    创建 SampleQuerySet
    delete DELETE /v1beta/{name=projects/*/locations/*/sampleQuerySets/*}
    删除 SampleQuerySet。
    get GET /v1beta/{name=projects/*/locations/*/sampleQuerySets/*}
    获取 SampleQuerySet。
    list GET /v1beta/{parent=projects/*/locations/*}/sampleQuerySets
    获取 SampleQuerySet 的列表。
    patch PATCH /v1beta/{sampleQuerySet.name=projects/*/locations/*/sampleQuerySets/*}
    更新 SampleQuerySet。

    REST 资源:v1beta.projects.locations.sampleQuerySets.operations

    方法
    get GET /v1beta/{name=projects/*/locations/*/sampleQuerySets/*/operations/*}
    获取长时间运行的操作的最新状态。

    REST 资源:v1beta.projects.locations.sampleQuerySets.sampleQueries

    方法
    create POST /v1beta/{parent=projects/*/locations/*/sampleQuerySets/*}/sampleQueries
    创建 SampleQuery
    delete DELETE /v1beta/{name=projects/*/locations/*/sampleQuerySets/*/sampleQueries/*}
    删除 SampleQuery。
    get GET /v1beta/{name=projects/*/locations/*/sampleQuerySets/*/sampleQueries/*}
    获取 SampleQuery。
    import POST /v1beta/{parent=projects/*/locations/*/sampleQuerySets/*}/sampleQueries:import
    批量导入多个 SampleQuery。
    list GET /v1beta/{parent=projects/*/locations/*/sampleQuerySets/*}/sampleQueries
    获取 SampleQuery 的列表。
    patch PATCH /v1beta/{sampleQuery.name=projects/*/locations/*/sampleQuerySets/*/sampleQueries/*}
    更新 SampleQuery。

    REST 资源:v1beta.projects.locations.userEvents

    方法
    collect GET /v1beta/{parent=projects/*/locations/*}/userEvents:collect
    从浏览器写入单个用户事件。
    import POST /v1beta/{parent=projects/*/locations/*}/userEvents:import
    批量导入用户事件。
    write POST /v1beta/{parent=projects/*/locations/*}/userEvents:write
    写入单个用户事件。

    REST 资源:v1beta.projects.locations.userStores

    方法
    batchUpdateUserLicenses POST /v1beta/{parent=projects/*/locations/*/userStores/*}:batchUpdateUserLicenses
    更新用户许可。
    get GET /v1beta/{name=projects/*/locations/*/userStores/*}
    获取用户存储区。
    patch PATCH /v1beta/{userStore.name=projects/*/locations/*/userStores/*}
    更新用户存储区。

    REST 资源:v1beta.projects.locations.userStores.licenseConfigsUsageStats

    方法
    list GET /v1beta/{parent=projects/*/locations/*/userStores/*}/licenseConfigsUsageStats
    列出与项目关联的所有 LicenseConfigUsageStats。

    REST 资源:v1beta.projects.locations.userStores.userLicenses

    方法
    list GET /v1beta/{parent=projects/*/locations/*/userStores/*}/userLicenses
    列出用户许可。

    REST 资源:v1beta.projects.operations

    方法
    get GET /v1beta/{name=projects/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1beta/{name=projects/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.billingAccounts.billingAccountLicenseConfigs

    方法
    distributeLicenseConfig POST /v1alpha/{billingAccountLicenseConfig=billingAccounts/*/billingAccountLicenseConfigs/*}:distributeLicenseConfig
    将结算账号级级的 LicenseConfig 分配到项目级。
    get GET /v1alpha/{name=billingAccounts/*/billingAccountLicenseConfigs/*}
    获取 BillingAccountLicenseConfig。
    list GET /v1alpha/{parent=billingAccounts/*}/billingAccountLicenseConfigs
    列出指定结算账号的所有 BillingAccountLicenseConfig。
    retractLicenseConfig POST /v1alpha/{billingAccountLicenseConfig=billingAccounts/*/billingAccountLicenseConfigs/*}:retractLicenseConfig
    此方法从结算账号端调用,用于将 LicenseConfig 从指定项目撤回到结算账号。

    REST 资源:v1alpha.projects

    方法
    get GET /v1alpha/{name=projects/*}
    获取 Project。
    patch PATCH /v1alpha/{project.name=projects/*}
    更新 Discovery Engine 项目的可修改设置。
    provision POST /v1alpha/{name=projects/*}:provision
    预配项目资源。
    reportConsentChange POST /v1alpha/{project=projects/*}:reportConsentChange
    更新相应项目的服务条款。

    REST 资源:v1alpha.projects.locations

    方法
    completeExternalIdentities GET /v1alpha/{parent=projects/*/locations/*}:completeExternalIdentities
    此方法会根据提供的前缀,为在外部身份提供方中管理的用户和群组提供建议。
    estimateDataSize POST /v1alpha/{location=projects/*/locations/*}:estimateDataSize
    估算客户将使用的数据大小。
    getAclConfig GET /v1alpha/{name=projects/*/locations/*/aclConfig}
    获取 AclConfig。
    getCmekConfig GET /v1alpha/{name=projects/*/locations/*/cmekConfig}
    获取 CmekConfig。
    obtainCrawlRate POST /v1alpha/{location=projects/*/locations/*}:obtainCrawlRate
    获取自然抓取速度或专用抓取速度的时序数据,以供监控。
    provision POST /v1alpha/{name=projects/*/locations/*}:provision
    预配项目资源。
    queryConfigurablePricingUsageStats GET /v1alpha/{project=projects/*}/locations/{location}:queryConfigurablePricingUsageStats
    查询项目的可配置定价使用情况统计信息。
    removeDedicatedCrawlRate POST /v1alpha/{location=projects/*/locations/*}:removeDedicatedCrawlRate
    移除 crawl_rate_scope 的专用抓取速度。
    setDedicatedCrawlRate POST /v1alpha/{location=projects/*/locations/*}:setDedicatedCrawlRate
    为某个 crawl_rate_scope 设置专用抓取速度。
    setUpDataConnector POST /v1alpha/{parent=projects/*/locations/*}:setUpDataConnector
    创建一个 Collection 并为其设置 DataConnector。
    setUpDataConnectorV2 POST /v1alpha/{parent=projects/*/locations/*}:setUpDataConnectorV2
    创建一个 Collection 并为其设置 DataConnector。
    updateAclConfig PATCH /v1alpha/{aclConfig.name=projects/*/locations/*/aclConfig}
    用于客户项目某一位置的默认 ACL 配置。
    updateCmekConfig PATCH /v1alpha/{config.name=projects/*/locations/*/cmekConfig}
    预配 CMEK 密钥以用于客户项目某一位置。

    REST 资源:v1alpha.projects.locations.authorizations

    方法
    acquireUserAuthorization POST /v1alpha/{name=projects/*/locations/*/authorizations/*}:acquireUserAuthorization
    使用通过最终用户凭证和给定资源标识的用户的存储刷新令牌,并返回生成的访问令牌及其详细信息。
    create POST /v1alpha/{parent=projects/*/locations/*}/authorizations
    创建 Authorization。
    delete DELETE /v1alpha/{name=projects/*/locations/*/authorizations/*}
    删除 Authorization。
    get GET /v1alpha/{name=projects/*/locations/*/authorizations/*}
    获取一个 Authorization。
    list GET /v1alpha/{parent=projects/*/locations/*}/authorizations
    列出某个 Engine 下的所有 Authorization。
    patch PATCH /v1alpha/{authorization.name=projects/*/locations/*/authorizations/*}
    更新 Authorization
    storeUserAuthorization POST /v1alpha/{name=projects/*/locations/*/authorizations/*}:storeUserAuthorization
    将 OAuth 授权凭证交换为刷新令牌,并存储该刷新令牌和范围。

    REST 资源:v1alpha.projects.locations.cmekConfigs

    方法
    delete DELETE /v1alpha/{name=projects/*/locations/*/cmekConfigs/*}
    取消预配 CmekConfig。
    get GET /v1alpha/{name=projects/*/locations/*/cmekConfigs/*}
    获取 CmekConfig。
    list GET /v1alpha/{parent=projects/*/locations/*}/cmekConfigs
    列出项目中的所有 CmekConfig。
    patch PATCH /v1alpha/{config.name=projects/*/locations/*/cmekConfigs/*}
    预配 CMEK 密钥以用于客户项目某一位置。

    REST 资源:v1alpha.projects.locations.collections

    方法
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*}
    删除 Collection。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*}
    获取 Collection。
    getDataConnector GET /v1alpha/{name=projects/*/locations/*/collections/*/dataConnector}
    获取 DataConnector。
    getIamPolicy GET /v1alpha/{resource=projects/*/locations/*/collections/*}:getIamPolicy
    获取 Collection 的 IAM 访问权限控制政策。
    list GET /v1alpha/{parent=projects/*/locations/*}/collections
    获取 Collection 的列表。
    patch PATCH /v1alpha/{collection.name=projects/*/locations/*/collections/*}
    更新 Collection。
    setIamPolicy POST /v1alpha/{resource=projects/*/locations/*/collections/*}:setIamPolicy
    为 Collection 设置 IAM 访问权限控制政策。
    updateDataConnector PATCH /v1alpha/{dataConnector.name=projects/*/locations/*/collections/*/dataConnector}
    更新 DataConnector。

    REST 资源:v1alpha.projects.locations.collections.dataConnector

    方法
    acquireAccessToken POST /v1alpha/{name=projects/*/locations/*/collections/*/dataConnector}:acquireAccessToken
    使用通过 AcquireAndStoreRefreshToken 生成的每个用户的刷新令牌,生成并返回一个新的访问令牌及其详细信息。
    acquireAndStoreRefreshToken POST /v1alpha/{name=projects/*/locations/*/collections/*/dataConnector}:acquireAndStoreRefreshToken
    将 OAuth 授权凭证交换为刷新令牌,并存储该刷新令牌和范围。
    buildActionInvocation POST /v1alpha/{name=projects/*/locations/*/collections/*/dataConnector}:buildActionInvocation
    使用 DataConnector 构建操作调用。
    checkRefreshToken
    (deprecated)
    GET /v1alpha/{name=projects/*/locations/*/collections/*/dataConnector}:checkRefreshToken
    已弃用:检查给定连接的 EUC 用户是否存在刷新令牌,并返回其详细信息。
    executeAction POST /v1alpha/{name=projects/*/locations/*/collections/*/dataConnector}:executeAction
    使用 DataConnector 执行第三方操作。
    fetchEntitiesTypes GET /v1alpha/{name=projects/*/locations/*/collections/*/dataConnector}:FetchEntitiesTypes
    提取 DataConnector 的实体类型。
    getConnectorSecret GET /v1alpha/{name=projects/*/locations/*/collections/*/dataConnector}:getConnectorSecret
    获取关联连接器的 Secret。
    invokeConnectorMcp POST /v1alpha/{name=projects/*/locations/*/collections/*/dataConnector}:invokeConnectorMcp
    调用 MCP 连接器。
    mcp DELETE /v1alpha/projects/*/locations/*/collections/*/dataConnector/mcp
    ServeMcpDeleteRequest 处理 MCP DELETE 请求。
    startConnectorRun POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataConnector}:startConnectorRun
    为 DataConnector 启动即时同步过程。

    REST 资源:v1alpha.projects.locations.collections.dataConnector.connectorRuns

    方法
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataConnector}/connectorRuns
    列出 DataConnector 的 ConnectorRun。

    REST 资源:v1alpha.projects.locations.collections.dataConnector.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataConnector/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/collections/*/dataConnector}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.collections.dataStores

    方法
    addPatientFilter POST /v1alpha/{dataStore=projects/*/locations/*/collections/*/dataStores/*}:addPatientFilter
    将一组患者 ID 添加为数据存储区的患者过滤条件。
    completeQuery GET /v1alpha/{dataStore=projects/*/locations/*/collections/*/dataStores/*}:completeQuery
    使用建议的关键字补全指定的用户输入。
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*}/dataStores
    创建 DataStore。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*}
    删除 DataStore。
    deletePatientFilter POST /v1alpha/{dataStore=projects/*/locations/*/collections/*/dataStores/*}:deletePatientFilter
    删除数据存储区的整个患者过滤条件。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*}
    获取 DataStore。
    getCompletionConfig GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/completionConfig}
    获取 CompletionConfig
    getDocumentProcessingConfig GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/documentProcessingConfig}
    获取 DocumentProcessingConfig。
    getIamPolicy GET /v1alpha/{resource=projects/*/locations/*/collections/*/dataStores/*}:getIamPolicy
    获取 DataStore 的 IAM 访问权限控制政策。
    getSiteSearchEngine GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}
    获取 SiteSearchEngine。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*}/dataStores
    列出与项目关联的所有 DataStore。
    patch PATCH /v1alpha/{dataStore.name=projects/*/locations/*/collections/*/dataStores/*}
    更新 DataStore
    removePatientFilter POST /v1alpha/{dataStore=projects/*/locations/*/collections/*/dataStores/*}:removePatientFilter
    从数据存储区的患者过滤条件中移除一组患者 ID。
    replacePatientFilter POST /v1alpha/{dataStore=projects/*/locations/*/collections/*/dataStores/*}:replacePatientFilter
    替换数据存储区的患者过滤条件。
    setIamPolicy POST /v1alpha/{resource=projects/*/locations/*/collections/*/dataStores/*}:setIamPolicy
    为 DataStore 设置 IAM 访问权限控制政策。
    trainCustomModel POST /v1alpha/{dataStore=projects/*/locations/*/collections/*/dataStores/*}:trainCustomModel
    训练自定义模型。
    updateCompletionConfig PATCH /v1alpha/{completionConfig.name=projects/*/locations/*/collections/*/dataStores/*/completionConfig}
    更新 CompletionConfig。
    updateDocumentProcessingConfig PATCH /v1alpha/{documentProcessingConfig.name=projects/*/locations/*/collections/*/dataStores/*/documentProcessingConfig}
    更新 DocumentProcessingConfig。

    REST 资源:v1alpha.projects.locations.collections.dataStores.branches

    方法
    batchGetDocumentsMetadata GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*/branches/*}/batchGetDocumentsMetadata
    获取 Document 的索引新鲜度元数据。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*}
    检索 Branch。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/branches
    列出指定父级 DataStore 下的所有 Branch。

    REST 资源:v1alpha.projects.locations.collections.dataStores.branches.documents

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*/branches/*}/documents
    创建 Document。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*/documents/*}
    删除 Document。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*/documents/*}
    获取 Document。
    getProcessedDocument GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*/documents/*}:getProcessedDocument
    获取某个 Document 的已解析布局信息。
    import POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*/branches/*}/documents:import
    批量导入多个 Document。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*/branches/*}/documents
    获取 Document 的列表。
    patch PATCH /v1alpha/{document.name=projects/*/locations/*/collections/*/dataStores/*/branches/*/documents/*}
    更新 Document。
    purge POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*/branches/*}/documents:purge
    永久删除分支中的所有选定 Document。

    REST 资源:v1alpha.projects.locations.collections.dataStores.branches.documents.chunks

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*/documents/*/chunks/*}
    获取 Document。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*/branches/*/documents/*}/chunks
    获取 Chunk 的列表。

    REST 资源:v1alpha.projects.locations.collections.dataStores.branches.operations

    方法
    cancel POST /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*/operations/*}:cancel
    对长时间运行的操作启动异步取消。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/branches/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.collections.dataStores.completionConfig

    方法
    completeQuery POST /v1alpha/{completionConfig=projects/*/locations/*/collections/*/dataStores/*/completionConfig}:completeQuery
    使用高级建议的关键字补全用户输入。

    REST 资源:v1alpha.projects.locations.collections.dataStores.completionSuggestions

    方法
    import POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/completionSuggestions:import
    导入数据存储区的 CompletionSuggestion。
    purge POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/completionSuggestions:purge
    永久删除数据存储区的所有 CompletionSuggestion。

    REST 资源:v1alpha.projects.locations.collections.dataStores.controls

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/controls
    创建控件。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/controls/*}
    删除控件。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/controls/*}
    获取控件。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/controls
    按父级 DataStore 列出所有控件。
    patch PATCH /v1alpha/{control.name=projects/*/locations/*/collections/*/dataStores/*/controls/*}
    更新控件。

    REST 资源:v1alpha.projects.locations.collections.dataStores.conversations

    方法
    converse POST /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/conversations/*}:converse
    进行一次对话。
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/conversations
    创建对话。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/conversations/*}
    删除对话。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/conversations/*}
    获取对话。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/conversations
    列出其父级 DataStore 下的所有对话。
    patch PATCH /v1alpha/{conversation.name=projects/*/locations/*/collections/*/dataStores/*/conversations/*}
    更新对话。

    REST 资源:v1alpha.projects.locations.collections.dataStores.customModels

    方法
    list GET /v1alpha/{dataStore=projects/*/locations/*/collections/*/dataStores/*}/customModels
    获取所有自定义模型的列表。

    REST 资源:v1alpha.projects.locations.collections.dataStores.models.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/models/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/models/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.collections.dataStores.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.collections.dataStores.schemas

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/schemas
    创建 Schema。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/schemas/*}
    删除 Schema。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/schemas/*}
    获取 Schema。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/schemas
    获取 Schema 的列表。
    patch PATCH /v1alpha/{schema.name=projects/*/locations/*/collections/*/dataStores/*/schemas/*}
    更新 Schema。

    REST 资源:v1alpha.projects.locations.collections.dataStores.schemas.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/schemas/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/schemas/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.collections.dataStores.servingConfigs

    方法
    answer POST /v1alpha/{servingConfig=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}:answer
    回答查询方法。
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/servingConfigs
    创建一个 ServingConfig。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}
    删除 ServingConfig。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}
    获取 ServingConfig。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/servingConfigs
    列出与相应数据存储区关联的所有 ServingConfig。
    patch PATCH /v1alpha/{servingConfig.name=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}
    更新 ServingConfig。
    recommend POST /v1alpha/{servingConfig=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}:recommend
    进行推荐,这需要一个上下文用户事件。
    search POST /v1alpha/{servingConfig=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}:search
    执行搜索。
    searchLite POST /v1alpha/{servingConfig=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}:searchLite
    执行搜索。
    streamAnswer POST /v1alpha/{servingConfig=projects/*/locations/*/collections/*/dataStores/*/servingConfigs/*}:streamAnswer
    回答查询方法(流式传输)。

    REST 资源:v1alpha.projects.locations.collections.dataStores.sessions

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/sessions
    创建会话。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/sessions/*}
    删除会话。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/sessions/*}
    获取会话。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/sessions
    列出其父级 DataStore 下的所有会话。
    patch PATCH /v1alpha/{session.name=projects/*/locations/*/collections/*/dataStores/*/sessions/*}
    更新会话。

    REST 资源:v1alpha.projects.locations.collections.dataStores.sessions.answers

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/sessions/*/answers/*}
    获取一个回答。

    REST 资源:v1alpha.projects.locations.collections.dataStores.siteSearchEngine

    方法
    batchVerifyTargetSites POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:batchVerifyTargetSites
    验证目标网站的所有权和有效性。
    disableAdvancedSiteSearch POST /v1alpha/{siteSearchEngine=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:disableAdvancedSiteSearch
    从高级网站搜索降级为基本网站搜索。
    enableAdvancedSiteSearch POST /v1alpha/{siteSearchEngine=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:enableAdvancedSiteSearch
    从基本网站搜索升级为高级网站搜索。
    fetchDomainVerificationStatus GET /v1alpha/{siteSearchEngine=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:fetchDomainVerificationStatus
    返回包含目标网站及其域名验证状态的列表。
    getUriPatternDocumentData GET /v1alpha/{siteSearchEngine=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:getUriPatternDocumentData
    获取高级网站搜索数据存储区中,URI 模式到文档数据的映射。
    recrawlUris POST /v1alpha/{siteSearchEngine=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:recrawlUris
    请求对 URI 列表进行按需重新抓取。
    setUriPatternDocumentData POST /v1alpha/{siteSearchEngine=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}:setUriPatternDocumentData
    设置高级网站搜索数据存储区中,URI 模式到文档数据的映射。

    REST 资源:v1alpha.projects.locations.collections.dataStores.siteSearchEngine.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.collections.dataStores.siteSearchEngine.sitemaps

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}/sitemaps
    创建 Sitemap。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/sitemaps/*}
    删除 Sitemap。
    fetch GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}/sitemaps:fetch
    提取 DataStore 中的 Sitemap。

    REST 资源:v1alpha.projects.locations.collections.dataStores.siteSearchEngine.targetSites

    方法
    batchCreate POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}/targetSites:batchCreate
    批量创建 TargetSite。
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}/targetSites
    创建 TargetSite。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/targetSites/*}
    删除 TargetSite。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/targetSites/*}
    获取 TargetSite。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}/targetSites
    获取 TargetSite 的列表。
    patch PATCH /v1alpha/{targetSite.name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/targetSites/*}
    更新 TargetSite。

    REST 资源:v1alpha.projects.locations.collections.dataStores.siteSearchEngine.targetSites.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/targetSites/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine/targetSites}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.collections.dataStores.suggestionDenyListEntries

    方法
    import POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/suggestionDenyListEntries:import
    导入数据存储区的所有 SuggestionDenyListEntry。
    purge POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/suggestionDenyListEntries:purge
    永久删除数据存储区的所有 SuggestionDenyListEntry。

    REST 资源:v1alpha.projects.locations.collections.dataStores.userEvents

    方法
    collect GET /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/userEvents:collect
    从浏览器写入单个用户事件。
    import POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/userEvents:import
    批量导入用户事件。
    purge POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/userEvents:purge
    永久删除提供的过滤条件所指定的所有用户事件。
    write POST /v1alpha/{parent=projects/*/locations/*/collections/*/dataStores/*}/userEvents:write
    写入单个用户事件。

    REST 资源:v1alpha.projects.locations.collections.dataStores.widgetConfigs

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/dataStores/*/widgetConfigs/*}
    获取 WidgetConfig。
    patch PATCH /v1alpha/{widgetConfig.name=projects/*/locations/*/collections/*/dataStores/*/widgetConfigs/*}
    更新 WidgetConfig。

    REST 资源:v1alpha.projects.locations.collections.engines

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*}/engines
    创建 Engine。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/engines/*}
    删除 Engine。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*}
    获取一个 Engine。
    getCompletionConfig GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/completionConfig}
    获取 CompletionConfig
    getIamPolicy GET /v1alpha/{resource=projects/*/locations/*/collections/*/engines/*}:getIamPolicy
    获取 Engine 的 IAM 访问权限控制政策。
    getWorkspaceSettings GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*}:getWorkspaceSettings
    获取最终用户的工作区设置。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*}/engines
    列出与项目关联的所有 Engine。
    patch PATCH /v1alpha/{engine.name=projects/*/locations/*/collections/*/engines/*}
    更新 Engine
    pause POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*}:pause
    暂停现有 Engine 的训练。
    resume POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*}:resume
    恢复现有 Engine 的训练。
    setIamPolicy POST /v1alpha/{resource=projects/*/locations/*/collections/*/engines/*}:setIamPolicy
    为 Engine 设置 IAM 访问权限控制政策。
    tune POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*}:tune
    对现有 Engine 进行调优。
    updateCompletionConfig PATCH /v1alpha/{completionConfig.name=projects/*/locations/*/collections/*/engines/*/completionConfig}
    更新 CompletionConfig。

    REST 资源:v1alpha.projects.locations.collections.engines.agentTrajectories

    方法
    write POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*}/agentTrajectories:write
    写入单个代理回合的执行轨迹,以进行内部可观测性日志记录。

    REST 资源:v1alpha.projects.locations.collections.engines.analytics

    方法
    exportMetrics POST /v1alpha/{analytics=projects/*/locations/*/collections/*/engines/*/analytics}:exportMetrics
    导出指标。
    getConfig GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/analytics/config}
    获取 AnalyticsConfig。
    updateConfig PATCH /v1alpha/{analyticsConfig.name=projects/*/locations/*/collections/*/engines/*/analytics/config}
    更新分析的 AnalyticsConfig。

    REST 资源:v1alpha.projects.locations.collections.engines.assistants

    方法
    assist POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:assist
    协助用户进行查询。
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*}/assistants
    创建 Assistant。
    createCachedContent POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:createCachedContent
    创建显式上下文缓存 (Vertex CachedContent);其 name 在后续的 GenerateContent 请求中作为 cachedContent 传递。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}
    删除 Assistant。
    deleteCachedContent POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:deleteCachedContent
    删除由 CreateCachedContent 创建的上下文缓存(在 TTL 之前释放存储空间)。
    generateContent POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:generateContent
    代表第一方 Gemini Enterprise 客户端从模型生成内容(一元)。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}
    获取一个 Assistant。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*}/assistants
    列出某个 Engine 下的所有 Assistant。
    patch PATCH /v1alpha/{assistant.name=projects/*/locations/*/collections/*/engines/*/assistants/*}
    更新 Assistant
    predict POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:predict
    代表第一方 Gemini Enterprise 客户端提供来自模型的单值预测。
    streamAssist POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:streamAssist
    以流式传输的方式协助用户进行查询。
    streamGenerateContent POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:streamGenerateContent
    GenerateContent 的服务器流式传输变体。
    streamRawPredict POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:streamRawPredict
    服务器流式传输原始预测,适用于使用原始请求/响应协议而非 generateContent 形的模型。

    REST 资源:v1alpha.projects.locations.collections.engines.assistants.agents

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/assistants/*}/agents
    创建 Agent。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}
    删除 Agent。
    deploy POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}:deploy
    部署 Agent。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}
    获取一个 Agent。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/assistants/*}/agents
    列出调用方在 Assistant 下创建的所有 Agent。
    patch PATCH /v1alpha/{agent.name=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}
    更新 Agent
    rejectAgent POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}:rejectAgent
    拒绝可公开访问的代理。
    requestAgentReview POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}:requestAgentReview
    通过使代理可供审核,将其呈现给管理员。
    withdrawAgent POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}:withdrawAgent
    撤销可公开访问的代理。

    REST 资源:v1alpha.projects.locations.collections.engines.assistants.agents.files

    方法
    import POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}/files:import
    将文件导入到 Agent。

    REST 资源:v1alpha.projects.locations.collections.engines.assistants.agents.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*/operations/*}
    获取长时间运行的操作的最新状态。

    REST 资源:v1alpha.projects.locations.collections.engines.assistants.agents.toolCalls.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*/toolCalls/*/operations/*}
    获取长时间运行的操作的最新状态。

    REST 资源:v1alpha.projects.locations.collections.engines.assistants.cannedQueries

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/assistants/*}/cannedQueries
    创建 CannedQuery。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*/cannedQueries/*}
    删除 CannedQuery。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*/cannedQueries/*}
    获取 CannedQuery。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/assistants/*}/cannedQueries
    列出某个 Assistant 下的所有 CannedQuery。
    listActiveCannedQueryUserViews GET /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/assistants/*}/cannedQueries:listActiveCannedQueryUserViews
    列出所有有效 CannedQuery 的 CannedQueryUserView。
    patch PATCH /v1alpha/{cannedQuery.name=projects/*/locations/*/collections/*/engines/*/assistants/*/cannedQueries/*}
    更新 CannedQuery。

    REST 资源:v1alpha.projects.locations.collections.engines.collaborativeProjects.knowledgeSpaces.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/collaborativeProjects/*/knowledgeSpaces/*/operations/*}
    获取长时间运行的操作的最新状态。

    REST 资源:v1alpha.projects.locations.collections.engines.completionConfig

    方法
    completeQuery POST /v1alpha/{completionConfig=projects/*/locations/*/collections/*/engines/*/completionConfig}:completeQuery
    使用高级建议的关键字补全用户输入。
    removeSuggestion POST /v1alpha/{completionConfig=projects/*/locations/*/collections/*/engines/*/completionConfig}:removeSuggestion
    移除某个用户在引擎中的搜索记录建议。

    REST 资源:v1alpha.projects.locations.collections.engines.controls

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*}/controls
    创建控件。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/controls/*}
    删除控件。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/controls/*}
    获取控件。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*}/controls
    按父级 DataStore 列出所有控件。
    patch PATCH /v1alpha/{control.name=projects/*/locations/*/collections/*/engines/*/controls/*}
    更新控件。

    REST 资源:v1alpha.projects.locations.collections.engines.conversations

    方法
    converse POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/conversations/*}:converse
    进行一次对话。
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*}/conversations
    创建对话。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/conversations/*}
    删除对话。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/conversations/*}
    获取对话。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*}/conversations
    列出其父级 DataStore 下的所有对话。
    patch PATCH /v1alpha/{conversation.name=projects/*/locations/*/collections/*/engines/*/conversations/*}
    更新对话。

    REST 资源:v1alpha.projects.locations.collections.engines.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.collections.engines.servingConfigs

    方法
    answer POST /v1alpha/{servingConfig=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}:answer
    回答查询方法。
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*}/servingConfigs
    创建一个 ServingConfig。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}
    删除 ServingConfig。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}
    获取 ServingConfig。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*}/servingConfigs
    列出与相应数据存储区关联的所有 ServingConfig。
    patch PATCH /v1alpha/{servingConfig.name=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}
    更新 ServingConfig。
    recommend POST /v1alpha/{servingConfig=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}:recommend
    进行推荐,这需要一个上下文用户事件。
    search POST /v1alpha/{servingConfig=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}:search
    执行搜索。
    searchLite POST /v1alpha/{servingConfig=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}:searchLite
    执行搜索。
    streamAnswer POST /v1alpha/{servingConfig=projects/*/locations/*/collections/*/engines/*/servingConfigs/*}:streamAnswer
    回答查询方法(流式传输)。

    REST 资源:v1alpha.projects.locations.collections.engines.sessions

    方法
    addContextFile POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}:addContextFile
    上传一个上下文文件,用作会话中辅助调用的来源。
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*}/sessions
    创建会话。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}
    删除会话。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}
    获取会话。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*}/sessions
    列出其父级 DataStore 下的所有会话。
    listSessionFileMetadata GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}:listSessionFileMetadata
    列出当前会话中所有文件的元数据。
    patch PATCH /v1alpha/{session.name=projects/*/locations/*/collections/*/engines/*/sessions/*}
    更新会话。
    recommendQuestions GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}:recommendQuestions
    获取给定会话的推荐问题。
    removeContextFile POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}:removeContextFile
    从会话中移除上下文文件。
    selectContextFiles POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}:selectContextFiles
    选择要在会话中使用的上下文文件。
    validateUserAuthorization POST /v1alpha/{session=projects/*/locations/*/collections/*/engines/*/sessions/*}:validateUserAuthorization
    在用户从第三方权限请求页面返回后,验证 A2A 3-legged-OAuth (3LO) 下游身份验证权限请求流程,并使用 Auth Manager 最终确定下游凭据。

    REST 资源:v1alpha.projects.locations.collections.engines.sessions.alphaEvolveExperiments

    方法
    acquirePrograms POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*}:acquirePrograms
    从生成的程序队列中获取一个或多个 AlphaEvolveProgram 以进行评估。
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/sessions/*}/alphaEvolveExperiments
    创建新的 AlphaEvolveExperiment。
    delete DELETE /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*}
    删除实验(前提是实验处于结束状态,例如
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*}
    获取现有 AlphaEvolveExperiment。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/sessions/*}/alphaEvolveExperiments
    列出给定会话中的所有 AlphaEvolveExperiment。
    resume POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*}:resume
    恢复工作流以处理 AlphaEvolveExperiment。
    start POST /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*}:start
    启动工作流以处理 AlphaEvolveExperiment。
    submitProgramsEvaluations POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*}:submitProgramsEvaluations
    向实验添加 AlphaEvolveProgramEvaluation。

    REST 资源:v1alpha.projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*}/alphaEvolvePrograms
    创建新的 AlphaEvolveProgram。
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*/alphaEvolvePrograms/*}
    获取现有 AlphaEvolveProgram。
    list GET /v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*}/alphaEvolvePrograms
    列出指定实验中符合请求中提供的条件的所有 AlphaEvolveProgram。

    REST 资源:v1alpha.projects.locations.collections.engines.sessions.alphaEvolveExperiments.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*/operations/*}
    获取长时间运行的操作的最新状态。

    REST 资源:v1alpha.projects.locations.collections.engines.sessions.answers

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*/answers/*}
    获取一个回答。

    REST 资源:v1alpha.projects.locations.collections.engines.sessions.assistAnswers

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*/assistAnswers/*}
    获取一个 AssistAnswer。

    REST 资源:v1alpha.projects.locations.collections.engines.sessions.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*/operations/*}
    获取长时间运行的操作的最新状态。

    REST 资源:v1alpha.projects.locations.collections.engines.widgetConfigs

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/engines/*/widgetConfigs/*}
    获取 WidgetConfig。
    patch PATCH /v1alpha/{widgetConfig.name=projects/*/locations/*/collections/*/engines/*/widgetConfigs/*}
    更新 WidgetConfig。

    REST 资源:v1alpha.projects.locations.collections.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/collections/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/collections/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.dataStores

    方法
    addPatientFilter POST /v1alpha/{dataStore=projects/*/locations/*/dataStores/*}:addPatientFilter
    将一组患者 ID 添加为数据存储区的患者过滤条件。
    completeQuery GET /v1alpha/{dataStore=projects/*/locations/*/dataStores/*}:completeQuery
    使用建议的关键字补全指定的用户输入。
    create POST /v1alpha/{parent=projects/*/locations/*}/dataStores
    创建 DataStore。
    delete DELETE /v1alpha/{name=projects/*/locations/*/dataStores/*}
    删除 DataStore。
    deletePatientFilter POST /v1alpha/{dataStore=projects/*/locations/*/dataStores/*}:deletePatientFilter
    删除数据存储区的整个患者过滤条件。
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*}
    获取 DataStore。
    getCompletionConfig GET /v1alpha/{name=projects/*/locations/*/dataStores/*/completionConfig}
    获取 CompletionConfig
    getDocumentProcessingConfig GET /v1alpha/{name=projects/*/locations/*/dataStores/*/documentProcessingConfig}
    获取 DocumentProcessingConfig。
    getIamPolicy GET /v1alpha/{resource=projects/*/locations/*/dataStores/*}:getIamPolicy
    获取 DataStore 的 IAM 访问权限控制政策。
    getSiteSearchEngine GET /v1alpha/{name=projects/*/locations/*/dataStores/*/siteSearchEngine}
    获取 SiteSearchEngine。
    list GET /v1alpha/{parent=projects/*/locations/*}/dataStores
    列出与项目关联的所有 DataStore。
    patch PATCH /v1alpha/{dataStore.name=projects/*/locations/*/dataStores/*}
    更新 DataStore
    removePatientFilter POST /v1alpha/{dataStore=projects/*/locations/*/dataStores/*}:removePatientFilter
    从数据存储区的患者过滤条件中移除一组患者 ID。
    replacePatientFilter POST /v1alpha/{dataStore=projects/*/locations/*/dataStores/*}:replacePatientFilter
    替换数据存储区的患者过滤条件。
    setIamPolicy POST /v1alpha/{resource=projects/*/locations/*/dataStores/*}:setIamPolicy
    为 DataStore 设置 IAM 访问权限控制政策。
    updateCompletionConfig PATCH /v1alpha/{completionConfig.name=projects/*/locations/*/dataStores/*/completionConfig}
    更新 CompletionConfig。
    updateDocumentProcessingConfig PATCH /v1alpha/{documentProcessingConfig.name=projects/*/locations/*/dataStores/*/documentProcessingConfig}
    更新 DocumentProcessingConfig。

    REST 资源:v1alpha.projects.locations.dataStores.branches

    方法
    batchGetDocumentsMetadata GET /v1alpha/{parent=projects/*/locations/*/dataStores/*/branches/*}/batchGetDocumentsMetadata
    获取 Document 的索引新鲜度元数据。
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/branches/*}
    检索 Branch。
    list GET /v1alpha/{parent=projects/*/locations/*/dataStores/*}/branches
    列出指定父级 DataStore 下的所有 Branch。

    REST 资源:v1alpha.projects.locations.dataStores.branches.documents

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/dataStores/*/branches/*}/documents
    创建 Document。
    delete DELETE /v1alpha/{name=projects/*/locations/*/dataStores/*/branches/*/documents/*}
    删除 Document。
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/branches/*/documents/*}
    获取 Document。
    getProcessedDocument GET /v1alpha/{name=projects/*/locations/*/dataStores/*/branches/*/documents/*}:getProcessedDocument
    获取某个 Document 的已解析布局信息。
    import POST /v1alpha/{parent=projects/*/locations/*/dataStores/*/branches/*}/documents:import
    批量导入多个 Document。
    list GET /v1alpha/{parent=projects/*/locations/*/dataStores/*/branches/*}/documents
    获取 Document 的列表。
    patch PATCH /v1alpha/{document.name=projects/*/locations/*/dataStores/*/branches/*/documents/*}
    更新 Document。
    purge POST /v1alpha/{parent=projects/*/locations/*/dataStores/*/branches/*}/documents:purge
    永久删除分支中的所有选定 Document。

    REST 资源:v1alpha.projects.locations.dataStores.branches.documents.chunks

    方法
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/branches/*/documents/*/chunks/*}
    获取 Document。
    list GET /v1alpha/{parent=projects/*/locations/*/dataStores/*/branches/*/documents/*}/chunks
    获取 Chunk 的列表。

    REST 资源:v1alpha.projects.locations.dataStores.branches.operations

    方法
    cancel POST /v1alpha/{name=projects/*/locations/*/dataStores/*/branches/*/operations/*}:cancel
    对长时间运行的操作启动异步取消。
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/branches/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/dataStores/*/branches/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.dataStores.completionConfig

    方法
    completeQuery POST /v1alpha/{completionConfig=projects/*/locations/*/dataStores/*/completionConfig}:completeQuery
    使用高级建议的关键字补全用户输入。

    REST 资源:v1alpha.projects.locations.dataStores.completionSuggestions

    方法
    import POST /v1alpha/{parent=projects/*/locations/*/dataStores/*}/completionSuggestions:import
    导入数据存储区的 CompletionSuggestion。
    purge POST /v1alpha/{parent=projects/*/locations/*/dataStores/*}/completionSuggestions:purge
    永久删除数据存储区的所有 CompletionSuggestion。

    REST 资源:v1alpha.projects.locations.dataStores.controls

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/dataStores/*}/controls
    创建控件。
    delete DELETE /v1alpha/{name=projects/*/locations/*/dataStores/*/controls/*}
    删除控件。
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/controls/*}
    获取控件。
    list GET /v1alpha/{parent=projects/*/locations/*/dataStores/*}/controls
    按父级 DataStore 列出所有控件。
    patch PATCH /v1alpha/{control.name=projects/*/locations/*/dataStores/*/controls/*}
    更新控件。

    REST 资源:v1alpha.projects.locations.dataStores.conversations

    方法
    converse POST /v1alpha/{name=projects/*/locations/*/dataStores/*/conversations/*}:converse
    进行一次对话。
    create POST /v1alpha/{parent=projects/*/locations/*/dataStores/*}/conversations
    创建对话。
    delete DELETE /v1alpha/{name=projects/*/locations/*/dataStores/*/conversations/*}
    删除对话。
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/conversations/*}
    获取对话。
    list GET /v1alpha/{parent=projects/*/locations/*/dataStores/*}/conversations
    列出其父级 DataStore 下的所有对话。
    patch PATCH /v1alpha/{conversation.name=projects/*/locations/*/dataStores/*/conversations/*}
    更新对话。

    REST 资源:v1alpha.projects.locations.dataStores.models.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/models/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/dataStores/*/models/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.dataStores.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/dataStores/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.dataStores.schemas

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/dataStores/*}/schemas
    创建 Schema。
    delete DELETE /v1alpha/{name=projects/*/locations/*/dataStores/*/schemas/*}
    删除 Schema。
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/schemas/*}
    获取 Schema。
    list GET /v1alpha/{parent=projects/*/locations/*/dataStores/*}/schemas
    获取 Schema 的列表。
    patch PATCH /v1alpha/{schema.name=projects/*/locations/*/dataStores/*/schemas/*}
    更新 Schema。

    REST 资源:v1alpha.projects.locations.dataStores.servingConfigs

    方法
    answer POST /v1alpha/{servingConfig=projects/*/locations/*/dataStores/*/servingConfigs/*}:answer
    回答查询方法。
    create POST /v1alpha/{parent=projects/*/locations/*/dataStores/*}/servingConfigs
    创建一个 ServingConfig。
    delete DELETE /v1alpha/{name=projects/*/locations/*/dataStores/*/servingConfigs/*}
    删除 ServingConfig。
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/servingConfigs/*}
    获取 ServingConfig。
    list GET /v1alpha/{parent=projects/*/locations/*/dataStores/*}/servingConfigs
    列出与相应数据存储区关联的所有 ServingConfig。
    patch PATCH /v1alpha/{servingConfig.name=projects/*/locations/*/dataStores/*/servingConfigs/*}
    更新 ServingConfig。
    recommend POST /v1alpha/{servingConfig=projects/*/locations/*/dataStores/*/servingConfigs/*}:recommend
    进行推荐,这需要一个上下文用户事件。
    search POST /v1alpha/{servingConfig=projects/*/locations/*/dataStores/*/servingConfigs/*}:search
    执行搜索。
    searchLite POST /v1alpha/{servingConfig=projects/*/locations/*/dataStores/*/servingConfigs/*}:searchLite
    执行搜索。
    streamAnswer POST /v1alpha/{servingConfig=projects/*/locations/*/dataStores/*/servingConfigs/*}:streamAnswer
    回答查询方法(流式传输)。

    REST 资源:v1alpha.projects.locations.dataStores.sessions

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/dataStores/*}/sessions
    创建会话。
    delete DELETE /v1alpha/{name=projects/*/locations/*/dataStores/*/sessions/*}
    删除会话。
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/sessions/*}
    获取会话。
    list GET /v1alpha/{parent=projects/*/locations/*/dataStores/*}/sessions
    列出其父级 DataStore 下的所有会话。
    patch PATCH /v1alpha/{session.name=projects/*/locations/*/dataStores/*/sessions/*}
    更新会话。

    REST 资源:v1alpha.projects.locations.dataStores.sessions.answers

    方法
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/sessions/*/answers/*}
    获取一个回答。

    REST 资源:v1alpha.projects.locations.dataStores.siteSearchEngine

    方法
    disableAdvancedSiteSearch POST /v1alpha/{siteSearchEngine=projects/*/locations/*/dataStores/*/siteSearchEngine}:disableAdvancedSiteSearch
    从高级网站搜索降级为基本网站搜索。
    enableAdvancedSiteSearch POST /v1alpha/{siteSearchEngine=projects/*/locations/*/dataStores/*/siteSearchEngine}:enableAdvancedSiteSearch
    从基本网站搜索升级为高级网站搜索。
    recrawlUris POST /v1alpha/{siteSearchEngine=projects/*/locations/*/dataStores/*/siteSearchEngine}:recrawlUris
    请求对 URI 列表进行按需重新抓取。

    REST 资源:v1alpha.projects.locations.dataStores.siteSearchEngine.sitemaps

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/dataStores/*/siteSearchEngine}/sitemaps
    创建 Sitemap。
    delete DELETE /v1alpha/{name=projects/*/locations/*/dataStores/*/siteSearchEngine/sitemaps/*}
    删除 Sitemap。
    fetch GET /v1alpha/{parent=projects/*/locations/*/dataStores/*/siteSearchEngine}/sitemaps:fetch
    提取 DataStore 中的 Sitemap。

    REST 资源:v1alpha.projects.locations.dataStores.siteSearchEngine.targetSites

    方法
    batchCreate POST /v1alpha/{parent=projects/*/locations/*/dataStores/*/siteSearchEngine}/targetSites:batchCreate
    批量创建 TargetSite。
    create POST /v1alpha/{parent=projects/*/locations/*/dataStores/*/siteSearchEngine}/targetSites
    创建 TargetSite。
    delete DELETE /v1alpha/{name=projects/*/locations/*/dataStores/*/siteSearchEngine/targetSites/*}
    删除 TargetSite。
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/siteSearchEngine/targetSites/*}
    获取 TargetSite。
    list GET /v1alpha/{parent=projects/*/locations/*/dataStores/*/siteSearchEngine}/targetSites
    获取 TargetSite 的列表。
    patch PATCH /v1alpha/{targetSite.name=projects/*/locations/*/dataStores/*/siteSearchEngine/targetSites/*}
    更新 TargetSite。

    REST 资源:v1alpha.projects.locations.dataStores.suggestionDenyListEntries

    方法
    import POST /v1alpha/{parent=projects/*/locations/*/dataStores/*}/suggestionDenyListEntries:import
    导入数据存储区的所有 SuggestionDenyListEntry。
    purge POST /v1alpha/{parent=projects/*/locations/*/dataStores/**}/suggestionDenyListEntries:purge
    永久删除数据存储区的所有 SuggestionDenyListEntry。

    REST 资源:v1alpha.projects.locations.dataStores.userEvents

    方法
    collect GET /v1alpha/{parent=projects/*/locations/*/dataStores/*}/userEvents:collect
    从浏览器写入单个用户事件。
    import POST /v1alpha/{parent=projects/*/locations/*/dataStores/*}/userEvents:import
    批量导入用户事件。
    purge POST /v1alpha/{parent=projects/*/locations/*/dataStores/*}/userEvents:purge
    永久删除提供的过滤条件所指定的所有用户事件。
    write POST /v1alpha/{parent=projects/*/locations/*/dataStores/*}/userEvents:write
    写入单个用户事件。

    REST 资源:v1alpha.projects.locations.dataStores.widgetConfigs

    方法
    get GET /v1alpha/{name=projects/*/locations/*/dataStores/*/widgetConfigs/*}
    获取 WidgetConfig。
    patch PATCH /v1alpha/{widgetConfig.name=projects/*/locations/*/dataStores/*/widgetConfigs/*}
    更新 WidgetConfig。

    REST 资源:v1alpha.projects.locations.evaluations

    方法
    create POST /v1alpha/{parent=projects/*/locations/*}/evaluations
    创建 Evaluation。
    get GET /v1alpha/{name=projects/*/locations/*/evaluations/*}
    获取 Evaluation。
    list GET /v1alpha/{parent=projects/*/locations/*}/evaluations
    获取 Evaluation 的列表。
    listResults GET /v1alpha/{evaluation=projects/*/locations/*/evaluations/*}:listResults
    获取给定 Evaluation 的结果列表。

    REST 资源:v1alpha.projects.locations.evaluations.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/evaluations/*/operations/*}
    获取长时间运行的操作的最新状态。

    REST 资源:v1alpha.projects.locations.groundingConfigs

    方法
    check POST /v1alpha/{groundingConfig=projects/*/locations/*/groundingConfigs/*}:check
    执行接地检查。

    REST 资源:v1alpha.projects.locations.identityMappingStores

    方法
    create POST /v1alpha/{parent=projects/*/locations/*}/identityMappingStores
    创建新的身份映射存储区。
    delete DELETE /v1alpha/{name=projects/*/locations/*/identityMappingStores/*}
    删除身份映射存储区。
    get GET /v1alpha/{name=projects/*/locations/*/identityMappingStores/*}
    获取身份映射存储区。
    importIdentityMappings POST /v1alpha/{identityMappingStore=projects/*/locations/*/identityMappingStores/*}:importIdentityMappings
    将身份映射条目列表导入到身份映射存储区。
    list GET /v1alpha/{parent=projects/*/locations/*}/identityMappingStores
    列出所有身份映射存储区。
    listIdentityMappings GET /v1alpha/{identityMappingStore=projects/*/locations/*/identityMappingStores/*}:listIdentityMappings
    列出一个身份映射存储区中的身份映射。
    purgeIdentityMappings POST /v1alpha/{identityMappingStore=projects/*/locations/*/identityMappingStores/*}:purgeIdentityMappings
    从身份映射存储区中完全清除指定或所有的身份映射条目。

    REST 资源:v1alpha.projects.locations.identityMappingStores.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/identityMappingStores/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/identityMappingStores/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.licenseConfigs

    方法
    create POST /v1alpha/{parent=projects/*/locations/*}/licenseConfigs
    创建 LicenseConfig 此方法仅应用于创建 NotebookLm 许可或 Gemini Enterprise 免费试用许可。
    get GET /v1alpha/{name=projects/*/locations/*/licenseConfigs/*}
    获取 LicenseConfig。
    list GET /v1alpha/{parent=projects/*/locations/*}/licenseConfigs
    列出与项目关联的所有 LicenseConfig。
    patch PATCH /v1alpha/{licenseConfig.name=projects/*/locations/*/licenseConfigs/*}
    更新 LicenseConfig

    REST 资源:v1alpha.projects.locations.notebooks

    方法
    batchDelete POST /v1alpha/{parent=projects/*/locations/*}/notebooks:batchDelete
    批量删除 Notebooks。
    create POST /v1alpha/{parent=projects/*/locations/*}/notebooks
    创建笔记本。
    get GET /v1alpha/{name=projects/*/locations/*/notebooks/*}
    获取笔记本。
    listRecentlyViewed GET /v1alpha/{parent=projects/*/locations/*}/notebooks:listRecentlyViewed
    按上次查看时间排序,列出笔记本。
    share POST /v1alpha/{name=projects/*/locations/*/notebooks/*}:share
    将笔记本分享给其他账号。

    REST 资源:v1alpha.projects.locations.notebooks.audioOverviews

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/notebooks/*}/audioOverviews
    生成新的音频概览。
    delete DELETE /v1alpha/{name=projects/*/locations/*/notebooks/*/audioOverviews/*}
    删除音频概览。

    REST 资源:v1alpha.projects.locations.notebooks.sources

    方法
    batchCreate POST /v1alpha/{parent=projects/*/locations/*/notebooks/*}/sources:batchCreate
    创建 Source 的列表。
    batchDelete POST /v1alpha/{parent=projects/*/locations/*/notebooks/*}/sources:batchDelete
    删除多个来源
    get GET /v1alpha/{name=projects/*/locations/*/notebooks/*/sources/*}
    获取 Source。

    REST 资源:v1alpha.projects.locations.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.podcasts.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/podcasts/*/operations/*}
    获取长时间运行的操作的最新状态。

    REST 资源:v1alpha.projects.locations.rankingConfigs

    方法
    rank POST /v1alpha/{rankingConfig=projects/*/locations/*/rankingConfigs/*}:rank
    根据给定的输入查询,对文本记录列表进行排名。

    REST 资源:v1alpha.projects.locations.requirements

    方法
    checkRequirement POST /v1alpha/{location=projects/*/locations/*}/requirements:checkRequirement
    检查特定要求。

    REST 资源:v1alpha.projects.locations.sampleQuerySets

    方法
    create POST /v1alpha/{parent=projects/*/locations/*}/sampleQuerySets
    创建 SampleQuerySet
    delete DELETE /v1alpha/{name=projects/*/locations/*/sampleQuerySets/*}
    删除 SampleQuerySet。
    get GET /v1alpha/{name=projects/*/locations/*/sampleQuerySets/*}
    获取 SampleQuerySet。
    list GET /v1alpha/{parent=projects/*/locations/*}/sampleQuerySets
    获取 SampleQuerySet 的列表。
    patch PATCH /v1alpha/{sampleQuerySet.name=projects/*/locations/*/sampleQuerySets/*}
    更新 SampleQuerySet。

    REST 资源:v1alpha.projects.locations.sampleQuerySets.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/sampleQuerySets/*/operations/*}
    获取长时间运行的操作的最新状态。

    REST 资源:v1alpha.projects.locations.sampleQuerySets.sampleQueries

    方法
    create POST /v1alpha/{parent=projects/*/locations/*/sampleQuerySets/*}/sampleQueries
    创建 SampleQuery
    delete DELETE /v1alpha/{name=projects/*/locations/*/sampleQuerySets/*/sampleQueries/*}
    删除 SampleQuery。
    get GET /v1alpha/{name=projects/*/locations/*/sampleQuerySets/*/sampleQueries/*}
    获取 SampleQuery。
    import POST /v1alpha/{parent=projects/*/locations/*/sampleQuerySets/*}/sampleQueries:import
    批量导入多个 SampleQuery。
    list GET /v1alpha/{parent=projects/*/locations/*/sampleQuerySets/*}/sampleQueries
    获取 SampleQuery 的列表。
    patch PATCH /v1alpha/{sampleQuery.name=projects/*/locations/*/sampleQuerySets/*/sampleQueries/*}
    更新 SampleQuery。

    REST 资源:v1alpha.projects.locations.userEvents

    方法
    collect GET /v1alpha/{parent=projects/*/locations/*}/userEvents:collect
    从浏览器写入单个用户事件。
    import POST /v1alpha/{parent=projects/*/locations/*}/userEvents:import
    批量导入用户事件。
    write POST /v1alpha/{parent=projects/*/locations/*}/userEvents:write
    写入单个用户事件。

    REST 资源:v1alpha.projects.locations.userStores

    方法
    batchUpdateUserLicenses POST /v1alpha/{parent=projects/*/locations/*/userStores/*}:batchUpdateUserLicenses
    更新用户许可。
    get GET /v1alpha/{name=projects/*/locations/*/userStores/*}
    获取用户存储区。
    patch PATCH /v1alpha/{userStore.name=projects/*/locations/*/userStores/*}
    更新用户存储区。

    REST 资源:v1alpha.projects.locations.userStores.licenseConfigsUsageStats

    方法
    list GET /v1alpha/{parent=projects/*/locations/*/userStores/*}/licenseConfigsUsageStats
    列出与项目关联的所有 LicenseConfigUsageStats。

    REST 资源:v1alpha.projects.locations.userStores.operations

    方法
    get GET /v1alpha/{name=projects/*/locations/*/userStores/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*/locations/*/userStores/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1alpha.projects.locations.userStores.userLicenses

    方法
    export POST /v1alpha/{parent=projects/*/locations/*/userStores/*}/userLicenses:export
    将父级 UserStore 下的所有 UserLicense 导出为单个 CSV 文档。
    list GET /v1alpha/{parent=projects/*/locations/*/userStores/*}/userLicenses
    列出用户许可。

    REST 资源:v1alpha.projects.operations

    方法
    get GET /v1alpha/{name=projects/*/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1alpha/{name=projects/*}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1.billingAccounts.billingAccountLicenseConfigs

    方法
    distributeLicenseConfig POST /v1/{billingAccountLicenseConfig=billingAccounts/*/billingAccountLicenseConfigs/*}:distributeLicenseConfig
    将结算账号级级的 LicenseConfig 分配到项目级。
    retractLicenseConfig POST /v1/{billingAccountLicenseConfig=billingAccounts/*/billingAccountLicenseConfigs/*}:retractLicenseConfig
    此方法从结算账号端调用,用于将 LicenseConfig 从指定项目撤回到结算账号。

    REST 资源:v1.projects

    方法
    provision POST /v1/{name=projects/*}:provision
    预配项目资源。

    REST 资源:v1.projects.locations

    方法
    getAclConfig GET /v1/{name=projects/*/locations/*/aclConfig}
    获取 AclConfig。
    getCmekConfig GET /v1/{name=projects/*/locations/*/cmekConfig}
    获取 CmekConfig。
    provision POST /v1/{name=projects/*/locations/*}:provision
    预配项目资源。
    setUpDataConnector POST /v1/{parent=projects/*/locations/*}:setUpDataConnector
    创建一个 Collection 并为其设置 DataConnector。
    setUpDataConnectorV2 POST /v1/{parent=projects/*/locations/*}:setUpDataConnectorV2
    创建一个 Collection 并为其设置 DataConnector。
    updateAclConfig PATCH /v1/{aclConfig.name=projects/*/locations/*/aclConfig}
    用于客户项目某一位置的默认 ACL 配置。
    updateCmekConfig PATCH /v1/{config.name=projects/*/locations/*/cmekConfig}
    预配 CMEK 密钥以用于客户项目某一位置。

    REST 资源:v1.projects.locations.cmekConfigs

    方法
    delete DELETE /v1/{name=projects/*/locations/*/cmekConfigs/*}
    取消预配 CmekConfig。
    get GET /v1/{name=projects/*/locations/*/cmekConfigs/*}
    获取 CmekConfig。
    list GET /v1/{parent=projects/*/locations/*}/cmekConfigs
    列出项目中的所有 CmekConfig。
    patch PATCH /v1/{config.name=projects/*/locations/*/cmekConfigs/*}
    预配 CMEK 密钥以用于客户项目某一位置。

    REST 资源:v1.projects.locations.collections

    方法
    delete DELETE /v1/{name=projects/*/locations/*/collections/*}
    删除 Collection。
    getDataConnector GET /v1/{name=projects/*/locations/*/collections/*/dataConnector}
    获取 DataConnector。
    getIamPolicy GET /v1/{resource=projects/*/locations/*/collections/*}:getIamPolicy
    获取 Collection 的 IAM 访问权限控制政策。
    setIamPolicy POST /v1/{resource=projects/*/locations/*/collections/*}:setIamPolicy
    为 Collection 设置 IAM 访问权限控制政策。
    updateDataConnector PATCH /v1/{dataConnector.name=projects/*/locations/*/collections/*/dataConnector}
    更新 DataConnector。

    REST 资源:v1.projects.locations.collections.dataConnector

    方法
    mcp DELETE /v1/projects/*/locations/*/collections/*/dataConnector/mcp
    ServeMcpDeleteRequest 处理 MCP DELETE 请求。

    REST 资源:v1.projects.locations.collections.dataConnector.operations

    方法
    get GET /v1/{name=projects/*/locations/*/collections/*/dataConnector/operations/*}
    获取长时间运行的操作的最新状态。
    list GET /v1/{name=projects/*/locations/*/collections/*/dataConnector}/operations
    列出与请求中指定的过滤条件匹配的操作。

    REST 资源:v1.projects.locations.collections.dataStores

    方法
    completeQuery GET /v1/{dataStore=projects/*/locations/*/collections/*/dataStores/*}:completeQuery
    使用建议的关键字补全指定的用户输入。
    create POST /v1/{parent=projects/*/locations/*/collections/*}/dataStores
    创建 DataStore。
    delete DELETE /v1/{name=projects/*/locations/*/collections/*/dataStores/*}
    删除 DataStore。
    get GET /v1/{name=projects/*/locations/*/collections/*/dataStores/*}
    获取 DataStore。
    getIamPolicy GET /v1/{resource=projects/*/locations/*/collections/*/dataStores/*}:getIamPolicy
    获取 DataStore 的 IAM 访问权限控制政策。
    getSiteSearchEngine GET /v1/{name=projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine}
    获取 SiteSearchEngine。
[...]
